List all Bank Accounts
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v2/payment/bankaccount \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v2/payment/bankaccount"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v2/payment/bankaccount', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v2/payment/bankaccount",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v2/payment/bankaccount"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v2/payment/bankaccount")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v2/payment/bankaccount")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "4438e9dd-9b44-4be5-b10f-f667d47bb5ab",
"account_name": "UQPAY PTE LTD",
"currency": "USD",
"account_number": "1234567890",
"bank_name": "DBS Bank Ltd",
"swift_code": "DBSSSGSG",
"bank_country_code": "SG",
"bank_address": "2 Updated Street, Singapore",
"account_status": "Valid",
"bank_branch_code": "00001",
"bank_code_value": "021000021",
"bank_code_type": "aba"
},
{
"id": "d721cd2e-f7f8-49fd-9c9f-19ac268badc8",
"account_name": "UQPAY PTE LTD",
"currency": "SGD",
"account_number": "GB71950018692652646598",
"bank_name": "DBS Bank",
"swift_code": "DBSSSGSG",
"bank_country_code": "SG",
"bank_address": "12 Marina Boulevard, Singapore 018982",
"account_status": "Valid",
"bank_branch_code": "",
"bank_code_value": "",
"bank_code_type": ""
}
],
"total_items": 2,
"total_pages": 1
}Bank Accounts
List all Bank Accounts
List settlement bank accounts with pagination. Use a returned bank account ID to retrieve or update that account.
GET
/
v2
/
payment
/
bankaccount
List all Bank Accounts
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v2/payment/bankaccount \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v2/payment/bankaccount"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v2/payment/bankaccount', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v2/payment/bankaccount",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v2/payment/bankaccount"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v2/payment/bankaccount")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v2/payment/bankaccount")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "4438e9dd-9b44-4be5-b10f-f667d47bb5ab",
"account_name": "UQPAY PTE LTD",
"currency": "USD",
"account_number": "1234567890",
"bank_name": "DBS Bank Ltd",
"swift_code": "DBSSSGSG",
"bank_country_code": "SG",
"bank_address": "2 Updated Street, Singapore",
"account_status": "Valid",
"bank_branch_code": "00001",
"bank_code_value": "021000021",
"bank_code_type": "aba"
},
{
"id": "d721cd2e-f7f8-49fd-9c9f-19ac268badc8",
"account_name": "UQPAY PTE LTD",
"currency": "SGD",
"account_number": "GB71950018692652646598",
"bank_name": "DBS Bank",
"swift_code": "DBSSSGSG",
"bank_country_code": "SG",
"bank_address": "12 Marina Boulevard, Singapore 018982",
"account_status": "Valid",
"bank_branch_code": "",
"bank_code_value": "",
"bank_code_type": ""
}
],
"total_items": 2,
"total_pages": 1
}Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
The page number to retrieve. Page numbering starts at 1.
Required range:
x >= 1Example:
1
The maximum number of items to return per page. This number can be between 1 - 100
Required range:
1 <= x <= 100Example:
10

